Main Page Widgets Namespaces Book

# Gtk::RadioMenuItem Class Reference
[Menu classes, Widgets]

Inheritance diagram for Gtk::RadioMenuItem:

[legend]
List of all members.

## Detailed Description

A CheckMenuItem that belongs to a group.

At each instant exactly one of the menu items from a group is selected.

## Public Types
typedef RadioMenuItem_Helpers::Group | Group
## Public Member Functions
virtual | ~RadioMenuItem ()
GtkRadioMenuItem* | gobj ()
| Provides access to the underlying C GtkObject.
const GtkRadioMenuItem* | gobj () const
| Provides access to the underlying C GtkObject.
| RadioMenuItem (Group& groupx)
| RadioMenuItem (Group& groupx, const Glib::ustring& label, bool mnemonic=false)
Group | get_group ()
void | set_group (Group& group)
void | reset_group ()
## Protected Member Functions
void | constructor (const Group& group)
## Related Functions
(Note that these are not member functions.)
Gtk::RadioMenuItem* | wrap (GtkRadioMenuItem* object, bool take_copy=false)

## Member Typedef Documentation

typedef RadioMenuItem_Helpers::Group Gtk::RadioMenuItem::Group

## Constructor & Destructor Documentation

virtual Gtk::RadioMenuItem::~RadioMenuItem | ( |  | ) | `[virtual]`

Gtk::RadioMenuItem::RadioMenuItem | ( | Group& | groupx | ) |

Gtk::RadioMenuItem::RadioMenuItem | ( | Group& | groupx,
|  | const Glib::ustring& | label,
|  | bool | mnemonic = false
| ) |

## Member Function Documentation

void Gtk::RadioMenuItem::constructor | ( | const Group& | group | ) | `[protected]`

Group Gtk::RadioMenuItem::get_group | ( |  | ) |

const GtkRadioMenuItem* Gtk::RadioMenuItem::gobj | ( |  | ) | const`[inline]`

| Provides access to the underlying C GtkObject. Reimplemented from Gtk::CheckMenuItem.

GtkRadioMenuItem* Gtk::RadioMenuItem::gobj | ( |  | ) | `[inline]`

| Provides access to the underlying C GtkObject. Reimplemented from Gtk::CheckMenuItem.

void Gtk::RadioMenuItem::reset_group | ( |  | ) |

void Gtk::RadioMenuItem::set_group | ( | Group& | group | ) |

## Friends And Related Function Documentation

Gtk::RadioMenuItem* wrap | ( | GtkRadioMenuItem* | object,
|  | bool | take_copy = false
| ) | `[related]`

The documentation for this class was generated from the following file:

- radiomenuitem.h